package com.emr.entity.emrCode;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class T_Herb_Diag {
    private String patientId;

    private Short herbNo;

    private String herbCode;

    private String herbName;

    private String herbType;

    private String herbThing;

    private String operCode;

    private String operName;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date operDate;

    private Short currentHerbDiagNo;//该对象序号

    public Short getCurrentHerbDiagNo() {
        return currentHerbDiagNo;
    }

    public void setCurrentHerbDiagNo(Short currentHerbDiagNo) {
        this.currentHerbDiagNo = currentHerbDiagNo;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public Short getHerbNo() {
        return herbNo;
    }

    public void setHerbNo(Short herbNo) {
        this.herbNo = herbNo;
    }

    public String getHerbCode() {
        return herbCode;
    }

    public void setHerbCode(String herbCode) {
        this.herbCode = herbCode == null ? null : herbCode.trim();
    }

    public String getHerbName() {
        return herbName;
    }

    public void setHerbName(String herbName) {
        this.herbName = herbName == null ? null : herbName.trim();
    }

    public String getHerbType() {
        return herbType;
    }

    public void setHerbType(String herbType) {
        this.herbType = herbType == null ? null : herbType.trim();
    }

    public String getHerbThing() {
        return herbThing;
    }

    public void setHerbThing(String herbThing) {
        this.herbThing = herbThing == null ? null : herbThing.trim();
    }

    public String getOperCode() {
        return operCode;
    }

    public void setOperCode(String operCode) {
        this.operCode = operCode == null ? null : operCode.trim();
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName == null ? null : operName.trim();
    }

    public Date getOperDate() {
        return operDate;
    }

    public void setOperDate(Date operDate) {
        this.operDate = operDate;
    }
}